:: rem --------------------------------------------------------------------------
:: rem Small script to generate multiple passwords using PWGEN2
:: rem
:: rem Just pass the number of passwords to generate as the parameter
:: rem Second parameter may be but does not have to be a filename for output!
:: rem
:: rem Copyright 2003 by -=Assarbad=-
:: rem Last update 2003-08-22
:: rem --------------------------------------------------------------------------
@echo off
:Main
  cls
  set /a i=%1 + 1
  if {%2} NEQ {} set outfile=%2
  set /a counter=1
:While
  if %counter% NEQ %i% (
    call :CreatePassword
:: rem Output password to console if intended
    if {%outfile%} EQU {""} echo %RET%
:: rem Output password to file if intended
    if {%outfile%} NEQ {""} echo %RET% >>%outfile%
    if {%outfile%} NEQ {""} echo Password number %counter%
    set /a counter=%counter%+1
    goto While
  )
goto :EOF

:: rem --------------------------------------------------------------------------
:: rem FUNCTION CreatePassword -> return RET
:: rem [Uses PWGEN2.EXE]
:: rem --------------------------------------------------------------------------
:CreatePassword
:: rem Prologue
  setlocal & pushd
:: rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  set RET=
  FOR /F %%1 IN ('pwgen2 con') DO @(
    set RET=%%1
  )
:: rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
:: rem Epilogue
  popd & endlocal & set RET=%RET%
goto :EOF
:: rem --------------------------------------------------------------------------

